Bug 1191901 - (CVE-2021-35550) VUL-0: CVE-2021-35550: java-1_7_0-openjdk,java-11-openjdk,java-1_8_0-openjdk: Weak ciphers preferred over stronger ones for TLS (JSSE, 8264210)
(CVE-2021-35550)
VUL-0: CVE-2021-35550: java-1_7_0-openjdk,java-11-openjdk,java-1_8_0-openjdk:...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Fridrich Strba
Security Team bot
https://smash.suse.de/issue/313030/
CVSSv3.1:SUSE:CVE-2021-35550:5.9:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-10-21 12:59 UTC by Alexander Bergmann
Modified: 2022-04-07 09:31 UTC (History)
5 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
Log file from Jetty. (130.19 KB, text/plain)
2021-12-02 21:35 UTC, Logan Vance
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2021-10-21 12:59:24 UTC
CVE-2021-35550

Vulnerability in the Java SE, Oracle GraalVM Enterprise Edition product of
Oracle Java SE (component: JSSE). Supported versions that are affected are Java
SE: 7u311, 8u301, 11.0.12; Oracle GraalVM Enterprise Edition: 20.3.3 and 21.2.0.
Difficult to exploit vulnerability allows unauthenticated attacker with network
access via TLS to compromise Java SE, Oracle GraalVM Enterprise Edition.
Successful attacks of this vulnerability can result in unauthorized access to
critical data or complete access to all Java SE, Oracle GraalVM Enterprise
Edition accessible data. Note: This vulnerability applies to Java deployments,
typically in clients running sandboxed Java Web Start applications or sandboxed
Java applets, that load and run untrusted code (e.g., code that comes from the
internet) and rely on the Java sandbox for security. This vulnerability can also
be exploited by using APIs in the specified Component, e.g., through a web
service which supplies data to the APIs. CVSS 3.1 Base Score 5.9
(Confidentiality impacts). CVSS Vector:
(CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N).

References:
https://bugzilla.redhat.com/show_bug.cgi?id=2015648
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-35550
https://www.oracle.com/security-alerts/cpuoct2021.html#CVE-2021-35550
https://www.oracle.com/security-alerts/cpuoct2021.html
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-35550
Comment 2 Swamp Workflow Management 2021-10-27 13:20:13 UTC
SUSE-SU-2021:3528-1: An update that fixes 10 vulnerabilities is now available.

Category: security (important)
Bug References: 1191901,1191903,1191904,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35603
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    java-11-openjdk-11.0.13.0-3.33.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2021-11-04 17:28:39 UTC
openSUSE-SU-2021:3615-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 1185055,1185056,1188564,1188565,1188566,1191901,1191903,1191904,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-2161,CVE-2021-2163,CVE-2021-2341,CVE-2021-2369,CVE-2021-2388,CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35603
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    java-1_8_0-openj9-1.8.0.312-3.18.2
Comment 7 Swamp Workflow Management 2021-11-06 05:17:09 UTC
openSUSE-SU-2021:1455-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 1185055,1185056,1188564,1188565,1188566,1191901,1191903,1191904,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-2161,CVE-2021-2163,CVE-2021-2341,CVE-2021-2369,CVE-2021-2388,CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35603
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    java-1_8_0-openj9-1.8.0.312-lp152.3.12.1
Comment 10 Swamp Workflow Management 2021-11-16 17:18:50 UTC
SUSE-SU-2021:3671-1: An update that fixes 10 vulnerabilities is now available.

Category: security (important)
Bug References: 1191901,1191903,1191904,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35603
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise Server for SAP 15 (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise Server 15-LTSS (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE Enterprise Storage 6 (src):    java-11-openjdk-11.0.13.0-3.65.1
SUSE CaaS Platform 4.0 (src):    java-11-openjdk-11.0.13.0-3.65.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2021-11-16 17:33:33 UTC
openSUSE-SU-2021:3671-1: An update that fixes 10 vulnerabilities is now available.

Category: security (important)
Bug References: 1191901,1191903,1191904,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35603
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    java-11-openjdk-11.0.13.0-3.65.1
Comment 12 Swamp Workflow Management 2021-11-17 14:29:52 UTC
openSUSE-SU-2021:1480-1: An update that fixes 10 vulnerabilities is now available.

Category: security (important)
Bug References: 1191901,1191903,1191904,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35603
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    java-11-openjdk-11.0.13.0-lp152.2.21.2
Comment 13 Swamp Workflow Management 2021-11-23 20:20:03 UTC
openSUSE-SU-2021:3770-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1191901,1191903,1191904,1191905,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35588,CVE-2021-35603
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    java-1_8_0-openjdk-1.8.0.312-3.58.2
Comment 14 Swamp Workflow Management 2021-11-23 20:22:54 UTC
SUSE-SU-2021:3770-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1191901,1191903,1191904,1191905,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35588,CVE-2021-35603
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    java-1_8_0-openjdk-1.8.0.312-3.58.2
SUSE Linux Enterprise Server for SAP 15 (src):    java-1_8_0-openjdk-1.8.0.312-3.58.2
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    java-1_8_0-openjdk-1.8.0.312-3.58.2
SUSE Linux Enterprise Server 15-SP1-BCL (src):    java-1_8_0-openjdk-1.8.0.312-3.58.2
SUSE Linux Enterprise Server 15-LTSS (src):    java-1_8_0-openjdk-1.8.0.312-3.58.2
SUSE Linux Enterprise Module for Legacy Software 15-SP3 (src):    java-1_8_0-openjdk-1.8.0.312-3.58.2
SUSE Linux Enterprise Module for Legacy Software 15-SP2 (src):    java-1_8_0-openjdk-1.8.0.312-3.58.2
SUSE Enterprise Storage 6 (src):    java-1_8_0-openjdk-1.8.0.312-3.58.2
SUSE CaaS Platform 4.0 (src):    java-1_8_0-openjdk-1.8.0.312-3.58.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2021-11-23 20:31:33 UTC
SUSE-SU-2021:3771-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1191901,1191903,1191904,1191905,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35588,CVE-2021-35603
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1
SUSE OpenStack Cloud Crowbar 8 (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1
SUSE OpenStack Cloud 9 (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1
SUSE OpenStack Cloud 8 (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1
SUSE Linux Enterprise Server 12-SP5 (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1
HPE Helion Openstack 8 (src):    java-1_8_0-openjdk-1.8.0.312-27.66.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2021-11-24 20:19:32 UTC
openSUSE-SU-2021:1500-1: An update that fixes 11 vulnerabilities is now available.

Category: security (important)
Bug References: 1191901,1191903,1191904,1191905,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35567,CVE-2021-35578,CVE-2021-35586,CVE-2021-35588,CVE-2021-35603
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    java-1_8_0-openjdk-1.8.0.312-lp152.2.18.2
Comment 17 Swamp Workflow Management 2021-11-24 20:33:01 UTC
SUSE-SU-2021:3797-1: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1191901,1191905,1191906,1191909,1191910,1191911,1191912,1191913,1191914
CVE References: CVE-2021-35550,CVE-2021-35556,CVE-2021-35559,CVE-2021-35561,CVE-2021-35564,CVE-2021-35565,CVE-2021-35586,CVE-2021-35588,CVE-2021-35603
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2
SUSE OpenStack Cloud Crowbar 8 (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2
SUSE OpenStack Cloud 9 (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2
SUSE OpenStack Cloud 8 (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2
SUSE Linux Enterprise Server 12-SP5 (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2
SUSE Linux Enterprise Server 12-SP3-BCL (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2
HPE Helion Openstack 8 (src):    java-1_7_0-openjdk-1.7.0.321-43.53.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 22 Logan Vance 2021-12-02 21:35:47 UTC
Created attachment 854263 [details]
Log file from Jetty.

From the Jetty Log:

2021-12-02 16:53:17.216:INFO:oejus.SslContextFactory:main: No Cipher Suite matching 'TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384' is supported
2021-12-02 16:53:17.216:INFO:oejus.SslContextFactory:main: No Cipher Suite matching 'TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256' is supported
2021-12-02 16:53:17.216:INFO:oejus.SslContextFactory:main: No Cipher Suite matching 'TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384' is supported
2021-12-02 16:53:17.216:INFO:oejus.SslContextFactory:main: No Cipher Suite matching 'TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256' is supported
Comment 24 Martin Fuchs 2021-12-03 09:30:21 UTC
(In reply to Logan Vance from comment #22)
> Created attachment 854263 [details]
> Log file from Jetty.
> 
> From the Jetty Log:
> 
> 2021-12-02 16:53:17.216:INFO:oejus.SslContextFactory:main: No Cipher Suite
> matching 'TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384' is supported
> 2021-12-02 16:53:17.216:INFO:oejus.SslContextFactory:main: No Cipher Suite
> matching 'TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256' is supported
> 2021-12-02 16:53:17.216:INFO:oejus.SslContextFactory:main: No Cipher Suite
> matching 'TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384' is supported
> 2021-12-02 16:53:17.216:INFO:oejus.SslContextFactory:main: No Cipher Suite
> matching 'TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256' is supported

SUSE Linux Enterprise Server 12 SP5

Since upgrade java-1_8_0-openjdk-1.8.0.302-27.63.2.x86_64 --> java-1_8_0-openjdk-1.8.0.312-27.66.1.x86_64 we've noticed that Eliptic-Curve-based cipher suites were not usable.

Offered cipher suite with java-1_8_0-openjdk-1.8.0.312-27.66.1.x86_64:
TLS_DHE_RSA_WITH_AES_256_GCM_SHA384(0x009F), TLS_DHE_DSS_WITH_AES_256_GCM_SHA384(0x00A3), TLS_DHE_RSA_WITH_AES_128_GCM_SHA256(0x009E), TLS_DHE_DSS_WITH_AES_128_GCM_SHA256(0x00A2), TLS_DHE_RSA_WITH_AES_256_CBC_SHA256(0x006B), TLS_DHE_DSS_WITH_AE                                     S_256_CBC_SHA256(0x006A), TLS_DHE_RSA_WITH_AES_128_CBC_SHA256(0x0067), TLS_DHE_DSS_WITH_AES_128_CBC_SHA256(0x0040), TLS_DHE_RSA_WITH_AES                                     _256_CBC_SHA(0x0039), TLS_DHE_DSS_WITH_AES_256_CBC_SHA(0x0038), TLS_DHE_RSA_WITH_AES_128_CBC_SHA(0x0033), TLS_DHE_DSS_WITH_AES_128_CBC_S                                     HA(0x0032), TLS_RSA_WITH_AES_256_GCM_SHA384(0x009D), TLS_RSA_WITH_AES_128_GCM_SHA256(0x009C), TLS_RSA_WITH_AES_256_CBC_SHA256(0x003D), T                                     LS_RSA_WITH_AES_128_CBC_SHA256(0x003C), TLS_RSA_WITH_AES_256_CBC_SHA(0x0035), TLS_RSA_WITH_AES_128_CBC_SHA(0x002F), TLS_EMPTY_RENEGOTIATION_INFO_SCSV(0x00FF)

To compare, cipher suite with former version java-1_8_0-openjdk-1.8.0.302-27.63.2.x86_64:
TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384(0xC02C), TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256(0xC02B), TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384(0xC030), TLS_RSA_WITH_AES_256_GCM_SHA384(0x009D), TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384(0xC02E), TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384(0xC032), TLS_DHE_RSA_WITH_AES_256_GCM_SHA384(0x009F), TLS_DHE_DSS_WITH_AES_256_GCM_SHA384(0x00A3), TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256(0xC02F), TLS_RSA_WITH_AES_128_GCM_SHA256(0x009C), TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256(0xC02D), TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256(0xC031), TLS_DHE_RSA_WITH_AES_128_GCM_SHA256(0x009E), TLS_DHE_DSS_WITH_AES_128_GCM_SHA256(0x00A2), TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384(0xC024), TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384(0xC028), TLS_RSA_WITH_AES_256_CBC_SHA256(0x003D), TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384(0xC026), TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384(0xC02A), TLS_DHE_RSA_WITH_AES_256_CBC_SHA256(0x006B), TLS_DHE_DSS_WITH_AES_256_CBC_SHA256(0x006A), TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA(0xC00A), TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA(0xC014), TLS_RSA_WITH_AES_256_CBC_SHA(0x0035), TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA(0xC005), TLS_ECDH_RSA_WITH_AES_256_CBC_SHA(0xC00F), TLS_DHE_RSA_WITH_AES_256_CBC_SHA(0x0039), TLS_DHE_DSS_WITH_AES_256_CBC_SHA(0x0038), TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256(0xC023), TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256(0xC027), TLS_RSA_WITH_AES_128_CBC_SHA256(0x003C), TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256(0xC025), TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256(0xC029), TLS_DHE_RSA_WITH_AES_128_CBC_SHA256(0x0067), TLS_DHE_DSS_WITH_AES_128_CBC_SHA256(0x0040), TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA(0xC009), TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA(0xC013), TLS_RSA_WITH_AES_128_CBC_SHA(0x002F), TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA(0xC004), TLS_ECDH_RSA_WITH_AES_128_CBC_SHA(0xC00E), TLS_DHE_RSA_WITH_AES_128_CBC_SHA(0x0033), TLS_DHE_DSS_WITH_AES_128_CBC_SHA(0x0032), TLS_EMPTY_RENEGOTIATION_INFO_SCSV(0x00FF)

I guess this is a bug - I don't see reason to deacitivate all EC-based ciphers.
Comment 28 Petr Ostadal 2022-04-07 09:31:37 UTC
fixed